Validate Theme Configuration

Validates a theme configuration against the theme's schema without creating it. Useful for testing schemas before creation.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Themes | modify | `store_themes_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

uuidstringRequired

Request

This endpoint expects an object.
variation_idstringOptional
The Variation to which the Configuration belongs.
settingsobjectOptional
The content of the configuration, which is a JSON object which will vary in structure from theme to theme.

Response

Theme passes validation.

Errors

422
Unprocessable Entity Error